<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<!-- <title>Trustonic Tests: 00800_TEE_FreePropertyEnumerator</title> -->
<img align="right" width="300" src="TrustonicLogo.jpg">
</br>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javaScript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body onload='searchBox.OnSelectItem(0);'>
<!-- Generated by Doxygen 1.7.2 -->
<div class="navigation" id="top">
  <div class="tabs">
    <ul class="tablist">
      <li><a href="main.html"><span>Main&#160;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle">
<h1>00800_TEE_FreePropertyEnumerator<br/>
<small>
[<a class="el" href="group___g_p__010___properties.html">GP_010_Properties</a>]</small>
</h1>  </div>
</div>
<div class="contents">
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="func-members"></a>
Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group_____t_e_e___free_property_enumerator.html#ga2ff4b0b627f4c5cd76ac500fe91c2761">TestCase_BC001_NullPointer</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group_____t_e_e___free_property_enumerator.html#gaa5b6e60b276b51654ce9b788592619cc">TestCase_BC002_InvalidPointer</a> ()</td></tr>
</table>
<hr/><a name="_details"></a><h2>Detailed Description</h2>
<dl class="user"><dt><b>Description:</b></dt><dd>: Free a property enumerator.</dd></dl>
<p>void TEE_FreePropertyEnumerator( TEE_PropSetHandle enumerator );</p>
<p>For this test, we will need at least one TA.</p>
<p>Pre: Open a session to a GPTA.</p>
<p>Post: Close session and check that it succeeds. </p>
<hr/><h2>Function Documentation</h2>
<a class="anchor" id="ga2ff4b0b627f4c5cd76ac500fe91c2761"></a><!-- doxytag: member="00800_TEE_FreePropertyEnumerator.cpp::TestCase_BC001_NullPointer" ref="ga2ff4b0b627f4c5cd76ac500fe91c2761" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">TestCase_BC001_NullPointer </td>
          <td>(</td>
          <td class="paramname">&#160;)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl class="user"><dt><b>Trusted Applications dependencies:</b></dt><dd>05040000000000000000000000000001 6b28a6d436fe5fb9b5ed59cba151a0fc </dd></dl>
<dl class="user"><dt><b>Pre Conditions:</b></dt><dd>05040000000000000000000000000001.[drbin/tlbin] is loaded. </dd></dl>
<dl class="user"><dt><b>Focus:</b></dt><dd>Attempt to free a NULL enumerator. </dd></dl>
<dl class="user"><dt><b>Test Steps:</b></dt><dd>Call TEE_FreePropertyEnumerator() with NULL enumerator pointer, should cause a TA panic </dd></dl>
<dl class="user"><dt><b>Post Conditions:</b></dt><dd>none </dd></dl>
<dl class="user"><dt><b>Manual Execution:</b></dt><dd>No </dd></dl>
<dl class="user"><dt><b>Trustonic Test Suite Testcase:</b></dt><dd><a href="group___tts.html">Yes</a>  </dd></dl>
<dl class="user"><dt><b>Final Device Testcase:</b></dt><dd>No </dd></dl>
<dl class="user"><dt><b>Extensive Testcase:</b></dt><dd><a href="group___extensive.html">Yes</a>  </dd></dl>
<dl class="user"><dt><b>Basic Testcase:</b></dt><dd>No </dd></dl>
<dl class="user"><dt><b>Quick Testcase:</b></dt><dd>No </dd></dl>
<dl class="user"><dt><b>Minimum Product Version required for this testcase:</b></dt><dd>400A </dd></dl>
<dl class="user"><dt><b>Test ID:</b></dt><dd>GP_010_Properties.00800_TEE_FreePropertyEnumerator.BC001_NullPointer </dd></dl>

</div>
</div>
<a class="anchor" id="gaa5b6e60b276b51654ce9b788592619cc"></a><!-- doxytag: member="00800_TEE_FreePropertyEnumerator.cpp::TestCase_BC002_InvalidPointer" ref="gaa5b6e60b276b51654ce9b788592619cc" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">TestCase_BC002_InvalidPointer </td>
          <td>(</td>
          <td class="paramname">&#160;)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl class="user"><dt><b>Trusted Applications dependencies:</b></dt><dd>05040000000000000000000000000001 6b28a6d436fe5fb9b5ed59cba151a0fc </dd></dl>
<dl class="user"><dt><b>Pre Conditions:</b></dt><dd>05040000000000000000000000000001.[drbin/tlbin] is loaded. </dd></dl>
<dl class="user"><dt><b>Focus:</b></dt><dd>Attempt to free a bad enumerator. </dd></dl>
<dl class="user"><dt><b>Test Steps:</b></dt><dd>Set up an enumator and fill it with all f's Call TEE_FreePropertyEnumerator(), should cause a TA panic </dd></dl>
<dl class="user"><dt><b>Post Conditions:</b></dt><dd>none </dd></dl>
<dl class="user"><dt><b>Manual Execution:</b></dt><dd>No </dd></dl>
<dl class="user"><dt><b>Trustonic Test Suite Testcase:</b></dt><dd><a href="group___tts.html">Yes</a>  </dd></dl>
<dl class="user"><dt><b>Final Device Testcase:</b></dt><dd>No </dd></dl>
<dl class="user"><dt><b>Extensive Testcase:</b></dt><dd><a href="group___extensive.html">Yes</a>  </dd></dl>
<dl class="user"><dt><b>Basic Testcase:</b></dt><dd>No </dd></dl>
<dl class="user"><dt><b>Quick Testcase:</b></dt><dd>No </dd></dl>
<dl class="user"><dt><b>Minimum Product Version required for this testcase:</b></dt><dd>400A </dd></dl>
<dl class="user"><dt><b>Test ID:</b></dt><dd>GP_010_Properties.00800_TEE_FreePropertyEnumerator.BC002_InvalidPointer </dd></dl>

</div>
</div>
</div>
        <br><br>
        <hr>
        <small><em>Copyright (c) 2013-2015 TRUSTONIC LIMITED - TRUSTONIC CONFIDENTIAL</em></small>
    </body>
</html>
